<template>
  <div class="_swiper-wrapper">
    <h5 class="title">reviews</h5>
    <swiper :options="swiperOption" ref="mySwiper">
      <!-- slides -->
      <swiper-slide v-for="i in 3" :key="i">
        <div class="slide-content">
					<div class="slide-content__review">
						<p class="slide-content__review__body">
							<i class="fas fa-quote-left"></i>
							Ennui roof party snackwave edison bulb bitters gentrify lumbersexual chicharrones banjo pinterest fixie chambray. Ethical williamsburg 90's, edison bulb iceland chillwave quinoa cray lomo!
						</p>
						<div class="slide-content__review__author">
							<div class="slide-content__review__author__avatar">
								<img src="https://i1.wp.com/www.winhelponline.com/blog/wp-content/uploads/2017/12/user.png?fit=256%2C256&quality=100&ssl=1" alt="">
							</div>
							<div class="slide-content__review__infos">
								<h4>Wiener Wastek</h4>
								<h3>Surfcamp Thailand</h3>
							</div>
						</div>
					</div>
        </div>
      </swiper-slide>
    </swiper>
    <!-- pagination -->
    <div class="reviews-swiper-pagination-wrapper">
      <div class="reviews-swiper-pagination"></div>
    </div>
  </div>
</template>

<script>
import "swiper/dist/css/swiper.css";
import starRating from 'vue-star-rating'

import { swiper, swiperSlide } from "vue-awesome-swiper";

export default {
  name: 'reviewsSwiper',
  components: {
    swiper,
    swiperSlide,
    starRating
  },
  data() {
    return {
      swiperOption: {
				slidesPerView: 3,
				autoHeight: true,
        roundLengths: true,
				centeredSlides : true,
				autoplay: {
					delay: 3000,
				},
        pagination: {
          el: '.reviews-swiper-pagination',
          type: 'bullets',
          clickable: true
        },
        breakpoints: {
          1390: {
						slidesPerView: 3,
          },
        }
      }
    };
  }
};
</script>

<style lang="scss" scoped>
@import '~@/assets/scss/fonts.scss';
$primary : #00A290;


._swiper-wrapper{
  position: relative;
  margin: auto;
	margin-top: 27px;
  display: block;
	padding-bottom: 30px;

	@media(max-width: 1010px){
		display: none;
	}

  h5.title{
    color: #48443E;
    font-family: "Brandon Grotesque";
    font-size: 12px;
    font-weight: 900;
    text-transform: uppercase;
		max-width: 959px;
		margin: auto;
		margin-bottom: 35px;
  }

  @media (max-width: 1015px){
    width:100%;
  }


	&:before{
    content: '';
    position: absolute;
    background-color: #ECECEB;
    height: 1px;
    left: 0;
		max-width: 959px;
    right: 0;
    bottom: 0;
    margin: auto;
  }
}

.swiper-container{
	width: 100%;
	position: relative;
	margin-bottom: 50px;
}

.slide-content {
	&__review{
		display: flex;
		flex-direction: column;
		align-items: center;
		opacity: .5;
		&__body{
			position: relative;
			color: #48443E;
			font-family: Roboto;
			font-size: 16px;
			line-height: 24px;
			width: 467px;
			height: 176px;
			display: flex;
			justify-content: center;
			align-items: center;
			padding: 34px 25px;
			box-sizing: border-box;
			transition: all .2s;

			i{
				color: rgba(0,0,0,.2);
				font-size: 25px;
				align-self: flex-start;
				margin-right: 16px;
		    margin-top: 10px;
			}
		}

		&__author{
			display: flex;
			justify-content: space-between;
			width: 200px;
			align-items: center;
			margin: auto;

			h4{
				color: #48443E;
				font-family: "Brandon Grotesque";
				font-size: 12px;
				font-weight: 900;
				line-height: 18px;
				text-align: center;
				text-transform: uppercase;
				margin: 0;
			}

			h3{
				color: #AEACAA;
				font-family: Roboto;
				font-size: 16px;
				line-height: 21px;
				font-weight: normal;
				text-align: center;
				margin: 0;
			}

			&__avatar{
				width: 48px;
				height: 48px;
				border-radius: 50%;
				display: none;

				img{
					width: 100%;
					height: 100%;
					object-fit: cover;
				}
			}
		}
	}
}



.swiper-slide-active{
	z-index: 10;
	.slide-content{
		&__review{
			opacity: 1;
			
			&__author{

				&__avatar{
					display: block;
				}
			}

			&__body{
				box-shadow: 0px 5px 20px 0px #95c5c0;
				border-radius: 4px;
				background: $primary;
				color: #fff;	
				position: relative;

				&:before{
					content: '';
					position: absolute;
					width: 0;
					height: 0;
					border: 10px solid transparent;
					border-top: 10px solid $primary;
					bottom: -20px;
				}
			}
		}
	}
}

/deep/ .reviews-swiper-pagination-wrapper{
    width: 100%;
    display: flex;
    justify-content: center;
    margin-top: 25px;
    position: relative;

  .reviews-swiper-pagination{
    background: #fff;
    z-index: 10;

    .swiper-pagination-bullet{
      margin: 0 5px;
      background: transparent;
      height: 10px;
      width: 10px;
      border: 2px solid $primary;
      opacity: 1;
      outline: none;
      box-sizing: border-box;

      &-active{
        background: $primary;
      }
    }
  }
}
</style>

